Package org.jmock.core

# Class Invocation

java.lang.Object
org.jmock.core.Invocation

All Implemented Interfaces:
  `SelfDescribing`

public class Invocation extends Object implements SelfDescribing
The static details about a method and the run-time details of its invocation.

Since:
  1.0

## Field Summary

Fields
Modifier and Type
Field
Description
`final Method`
`invokedMethod`
`final Object`
`invokedObject`
`final List`
`parameterValues`

## Constructor Summary

Constructors
Constructor
Description
`Invocation(Object invoked, Method method, Object[] parameterValues)`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkReturnTypeCompatibility(Object result)`
`StringBuffer`
`describeTo(StringBuffer buffer)`
Appends the description of this object to the buffer.
`boolean`
`equals(Object other)`
`boolean`
`equals(Invocation other)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### invokedObject

public final Object invokedObject

### invokedMethod

public final Method invokedMethod

### parameterValues

public final List parameterValues

## Constructor Details

### Invocation

public Invocation(Object invoked, Method method, Object[] parameterValues)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(Invocation other)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### describeTo

public StringBuffer describeTo(StringBuffer buffer)
Description copied from interface: `SelfDescribing`
Appends the description of this object to the buffer.

Specified by:
  `describeTo` in interface `SelfDescribing`
Parameters:
  `buffer` - The buffer that the description is appended to.
Returns:
  The buffer passed to the invokedMethod.

### checkReturnTypeCompatibility

public void checkReturnTypeCompatibility(Object result)